Recent

Author Topic: We are planning the next release: Lazarus 2.0.8  (Read 14470 times)

mischi

  • Full Member
  • ***
  • Posts: 134
Re: We are planning the next release: Lazarus 2.0.8
« Reply #45 on: April 06, 2020, 04:12:39 pm »
With fpc 3.2.0-rc1, building lazarus-cocoa with 2.0-fixes is broken:

cocoaprivate.pas(1552,26) Error: identifier idents no member "setNeedsDisplay"
cocoaprivate.pas(1563,8) Error: identifier idents no member "setNeedsDisplay"

I do not really know the details, but I assume the update of the Cocoaint header translations has not been taken into account.

After replacing  setNeedsDisplay  in cocoaprivate.pas with  setNeedsDisplay_(true)  the next error shows up:

cocoascrollers.pas(53,15) Error: There is no method in an ancestor class to be overridden: "setDocumentView(NSView);"
cocoascrollers.pas(53,15) Error: Objective-C messages require their Objective-C selector name to be specified using the "message" directive.
cocoascrollers.pas(53,15) Error: Mismatch between number of declared parameters and number of colons in message string.

Filing a bug report.
Resolved for trunk with commit 62885 and merged to fixes_2_0 with commit 62901. You guys are doing a great job.

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 6288
    • wiki

 

TinyPortal © 2005-2018